## SIZE MANAGER PLUS
An old Risk of Rain 2 mod brought back to modern times with a few extra additions!
This mod allows you to change the size of characters in-game.
Big enemies? Bigger elites? Giant teleporter enemies? Tiny players? Microscopic Newt?
It's all up to you! Just keep in mind it does not change _collision_ hitboxes, but it does change _damage_ hitboxes.
Should also be noted; size multipliers can stack! For example, an elite monster will have their size multiplied by the size modifier of monsters AND the size modifier of elites!
#FEATURES
- [Classic] Configurable resizing for certain conditions.
- [New!] Not constrained to certain sizes and a certain size bracket - know no bounds!
- [New!] Experimental stat scaling mechanics! All are turned off by default, but if you want size to matter even more, then go ahead!
- [Improvement!] Supports applying NPC size modifications to players that aren't on the Allied team.
#CONFIGURATION
- __baseSize__ : The initial size of ALL characters; enemies and players alike.
- __sizePlayer__ : The size multiplier of players that are on the Allied team.
- __sizeAlly__ : The size multiplier of NPCs that are on the Allied team.
- __sizeMonster__ : The size multiplier of monsters.
- __sizeNeutral__ : The size multiplier of neutral characters (e.g. Newt).
- __sizeBoss__ : The size multiplier of boss characters (e.g. Stone Titan).
- __sizeChampion__ : The size multiplier of champions (e.g. teleporter enemies).
- __sizeChampionBoss__ : The size multiplier of champion bosses.
- __healthScaling__ : Should health, shield and health regeneration scale with size? 0 - No scaling, 1 - Linear scaling, 2 - Exponential scaling.
- __damageScaling__ : Should damage scale with size? 0 - No scaling, 1 - Linear scaling, 2 - Exponential scaling.
- __armourScaling__ : Should armour scale with size? 0 - No scaling, 1 - Linear scaling, 2 - Exponential scaling.
- __speedScaling__ : Should movement speed scale with size? 0 - No scaling, 1 - Realistic; size multiplies movement speed, 2 - Inverse; size divides movement speed.
- __jumpScaling__ : Should jump power scale with size? 0 - No scaling, 1 - Realistic; size multiplies jump power, 2 - Inverse; size divides jump power.
- __hasteScaling__ : Should haste (attack speed) scale with size? 0 - No scaling, 1 - Realistic; size divides haste, 2 - Inverse; size multiplies haste.
- __multiplierStrength__ : How strong the multiplier in linear scaling for health, damage and armour formulas is.
- __exponentStrength__ : How strong the exponent in exponential scaling for health, damage and armour formulas is.

To start configuring the mod, just start up Risk of Rain 2 with the mod installed to generate the config, then close back out and go wild!
#INSTALLATION
1. Install [BepInEx](https://thunderstore.io/package/bbepis/BepInExPack/) and [R2API](https://thunderstore.io/package/tristanmcpherson/R2API/) if you haven't already, for some reason.
2. Install this mod in __Steam/SteamApps/common/Risk Of Rain 2/BepInEx/plugins/__.
3. Run the game and see if it works!
#CONTACT
[Steam](https://steamcommunity.com/id/squishyghost)
Discord Name: don wada
Discord ID/Hashtag: 5947
#CREDITS
__Magnus__ : Assistance with error fixing, motivated me to learn as well!
__Ryan Pallesen__ : Original creator of this mod.
#CHANGELOG
__1.0.0__ : Initial release.